body {
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
}

.element {
  width: 300px;
  height: 300px;
  background-color: #ccc;

  // 1. Triangle
  // clip-path: polygon(50% 0, 0% 100%, 100% 100%);

  // 2. Rhombus
  // clip-path: polygon(50% 0%, 100% 50%, 50% 100%, 0% 50%);

  // 3. Pentagon
  // clip-path: polygon(50% 0, 100% 38%, 82% 100%, 18% 100%, 0% 38%);

  // 4. Hexagon
  // clip-path: polygon(25% 0, 75% 0%, 100% 50%, 75% 100%, 25% 100%, 0% 50%);

  // 5. Left arrow
  // clip-path: polygon(40% 0%, 40% 20%, 100% 20%, 100% 80%, 40% 80%, 40% 100%, 0% 50%);

  // 6. Star
  clip-path: polygon(50% 0,
          61% 35%,
          98% 35%,
          68% 57%,
          79% 91%,
          50% 70%,
          21% 91%,
          32% 57%,
          2% 35%,
          39% 35%
  );
}